GET
List policy rules
Lists all policy rules for an enterprise.
Path Params
-
enterpriseIdstring requiredYour Enterprise Id.
Query Params
-
createdDateGtestring date-timeThe date and time of the earliest policy rule creation to return. The date and time must be in ISO 8601 format. -
createdDateLtestring date-timeThe date and time of the latest policy rule creation to return. The date and time must be in ISO 8601 format. -
evaluationIdstringThe id of the Evaluation. -
evaluationStatusstring enumStatus of the EvaluationTRIGGEREDNOT_TRIGGERED -
namestringA string to match the names of the policy rules against. -
statusstring enumStatuses of the returned policy rules, one or more may be provided.PENDINGACTIVEINACTIVEINACTIVE_HIDDENDENIEDPENDING_APPROVALUNLOCK_PENDING -
scopesstring enumscopes of the returned policy rules. One or more may be provided. For example, the All Wallets scope. See also the List scopes API.wallet.segregatedpolicies.management -
touchpointsstringThe Touchpoints of the returned policy rules. One or more may be provided. For example, the Transfer from a Wallet Touchpoint. See also the List scope Touchpoints API. -
idstringId of the policy rule. -
limitintegerHow many policy rules to return per page of results. Default: 20, Maximum: 100. -
prevIdintegerThe nextBatchPrevId returned by the last call to the same API. Used to retrieve the next page of results. -
filteringConditionParameterNamestringYou can retrieve the policy rules that match a given set of Filtering Conditions by providing the parameter name and value of the Filtering Conditions you are interested in. See also Filtering Conditions. In addition, you could add Dynamic parameter for filtering rules based on specific criteria. Format:
.
.parameters. = -
: (Required) The table name. Valid values are filteringCondition, action, or condition.
: (Optional) The name of the property. - parameters: (Fixed) Indicates parameters section.
: (Required) The key in the table's parameters column to search against. : (Optional) Comma-separated list of values to match. Responses
200
Paginated list of policy rules.Response Body
object
Paginated list of Policy Rules.-
nextBatchPrevIdstring requiredThe value to pass as the prevId to the API for getting the next page. -
rulesarray of objectsA list of Policy Rules matching the search criteria.rules object
-
idstring requiredId of the Policy Rule. This identifier is not unique in isolation, it must be paired with an specific Policy Rule Version number to uniquely identified a particular version of a Policy Rule. A UUID. -
uniqueIdstring requiredThe uniqueId of the Policy Rule version. A UUID. -
namestring requiredHuman readable name of the rule. -
statusstring enum requiredIndicates if the Policy Rule is considered in Evaluations.
ACTIVE- Will be Evaluated.INACTIVE- Will NOT be Evaluated.DENIED- The requested policy rule change was Denied.PENDING_APPROVAL- This version of the policy rule is Pending Approval before it can be activated.UNLOCK_PENDING- This version of the policy rule is created when a request to unlock a policy is initiated.
ACTIVEINACTIVEDENIEDPENDING_APPROVALUNLOCK_PENDING -
versionintegerThe Policy Rule Version, an integer that is incremented each time the Policy Rule changes. -
adminOnlyboolean requiredtrue, if the Policy Rule is a BitGo internal rule. Typically, this allows setting Global Policy Rules across enterprises. -
touchpointIdstring requiredThe id of the Touchpoint associated with the Policy Rule. A UUID. -
touchpointLabelstring requiredLabel of the Touchpoint associated with the Policy Rule. For example the Transfer from a Wallet Touchpoint. -
scopeIdstring requiredThe id of the Scope associated with the Policy Rule. A UUID. -
scopeLabelstring requiredLabel of the Scope associated with the Policy Rule. For example the All Wallets Scope. -
clausesarray of objects requiredList of Policy Rule Clauses: a combination of Conditions and Actions.clauses object
-
actionsarray of objectsANY OF
-
namestring enum requiredName of the associated Action.approvals.always.deny
-
namestring enum requiredName of the associated Action.approvals.customer.enterpriseAdmin -
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
namestring enum requiredName of the associated Action.approvals.customer.walletAdmin -
parametersobject requiredRequired data needed to configure the Action.parameters object
-
minRequiredstring requiredNumber of required approvals
-
-
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
namestring enum requiredName of the associated Action.approvals.customer.finalApproval -
parametersobject requiredRequired data needed to configure the Action.parameters object
-
userIdsarray of strings requiredThe final approvers -
initiatorIsAllowedToApprovebooleanWhether the initiator is allowed to approve this action. true by default.
-
-
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
namestring enum requiredName of the associated Action.approvals.customer.enterpriseUser -
parametersobject requiredRequired data needed to configure the Action.parameters object
-
userIdsarray of strings requiredList of enterprise users for approval -
minRequirednumber requiredMinimum required number of approvers -
initiatorIsAllowedToApprovebooleanWhether the initiator is allowed to approve this action. false by default.
-
-
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
-
conditionsarray of objectsANY OF
-
namestring enum requiredName of the condition.transfer.amount -
parametersobject requiredData required to evaluate the condition.parameters object
-
operatorstring enum requiredThe comparison operator to use when comparing the transfer amount with the given limit>>=<<= -
amountstring requiredThe transfer amount is compared with this limit. -
coinstring requiredThis condition only applies to transfers of this currency (USD applies to all transfers).
-
-
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
namestring enum requiredName of the condition.transfer.velocity.limit -
parametersobject requiredData required to evaluate the transfer velocity limit condition.parameters object
-
scopestring enum requiredEntities to include in the velocity calculation.walletenterprise -
timeWindowstring requiredA window of time in which a set of amount can be spent. -
amountstring requiredThe transfer amount is compared with this limit. -
coinstring requiredThe unit that the amount is denoted in, in either crypto or a fiat currency.
-
-
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
namestring enum requiredName of the condition.transfer.destination.type -
parametersobject requiredData required to evaluate the transfer destination condition.parameters object
-
typestring enum requiredThe type of destination this condition will match.whitelistedAddressnonWhitelistedAddressoutsideEnterprise -
coinstringThe asset this condition applies to.
-
-
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
namestring enum requiredName of the condition.transfer.initiators -
parametersobject requiredData required to evaluate the transfer initiator condition.parameters object
-
userIdsarray of strings requiredA list of user IDs to validate for the transfer initiator.
-
-
operatorstring enumBoolean operators that join Conditions, and/or Actions. Must be null on the last Condition or Action, or if there is only one Condition or Action, must be non-null on all others.ANDOR
-
-
-
filteringConditionsarray of objects requiredList of Filtering Conditions that must trigger for this Policy Rule to be Evaluated.ANY OF
-
namestring enum requiredName of the condition.wallet.type -
parametersobject requiredRequired data needed to evaluate the Filtering Condition.parameters object
-
walletTypearray of string enums requiredhotcustodialtrading
-
-
namestring enum requiredName of the condition.wallet.ids -
parametersobject requiredRequired data needed to evaluate the Filtering Condition.parameters object
-
walletIdarray of strings required
-
-
namestring enum requiredName of the condition.wallet.all
-
namestring enum requiredName of the condition.rule.all -
parametersmapRequired data needed to evaluate the Filtering Condition.
-
namestring enum requiredName of the condition.wallet.multiple.ids -
parametersobject requiredRequired data needed to evaluate the Filtering Condition.parameters object
-
walletIdarray of strings required
-
-
-
lockedboolean requiredtrue, if the Policy Rule is locked, false otherwise. -
lockTypestring enum requiredIndicates how the Policy Rule is locked.
LOCK_AFTER_DATE- Will lock after the lockDate set on the Policy Rule.PERMANENT- Is permanently locked.
LOCK_AFTER_DATEPERMANENT -
lockDatestring date-timeThe date after which the Policy Rule will be locked. Only applicable if the Policy Rule is locked withLOCK_AFTER_DATE. -
enterpriseIdstringThe id of the Enterprise this Policy Rule belongs to. -
organizationIdstringThe id of the Organization this Policy Rule belongs to. -
lastTriggeredDatestring date-timeThe date when the Policy Rule was last triggered. Only applicable if the Policy Rule is locked withLOCK_AFTER_DATE. -
lastTriggeredEvaluationIdstringThe id of the Evaluation that last triggered the Policy Rule. A UUID. -
createdBystring requiredThe id of the user who created the Policy Rule or the string "BitGo". -
modifiedBystring requiredThe id of the user who last modified the Policy Rule or the string "BitGo". -
createdDatestring date-time requiredThe date when the Policy Rule was created. A timestamp. -
modifiedDatestring date-time requiredThe date when the Policy Rule was last modified. A timestamp. -
lockModifiedBystringThe id of the user who last modified the lock of the Policy Rule. -
evaluationIdstringThe id of the Evaluation that was done when this Policy Rule version was requested to be created, modified or deleted. A UUID.
-
401
UnauthorizedResponse Body
object
-
codestring -
messagestring -
statusinteger
403
ForbiddenResponse Body
object
-
codestring -
messagestring -
statusinteger
404
The specified resource was not foundResponse Body
object
-
codestring -
messagestring -
statusinteger
500
Server Error - Transient error please try againResponse Body
object
-
codestring -
messagestring -
statusinteger
escStart typing to search…
Choose your Account Type
-